# bootstrap.conf - Bootstrap configuration.
# Copyright (C) 2007-2022 Free Software Foundation, Inc.
#
# This file is part of GNU Wget.
#
# GNU Wget is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 3 of the License, or (at
# your option) any later version.
#
# GNU Wget is distributed in the hope that it will be useful, but
# WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
# General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program.  If not, see `https://www.gnu.org/licenses/'.

# gnulib library name
source_base=lib
tests_base=lib/tests
gnulib_name=libgnu
gnulib_tool_option_extras="--makefile-name=gnulib.mk"
use_libtool=1
checkout_only_file=

gnulib_modules="
accept
access
arpa_inet
atoll
bind
c-strcase
c-strcasestr
c-ctype
calloc-posix
canonicalize-lgpl
clock-time
close
closedir
cond
connect
crypto/md2
crypto/md5
crypto/sha1
crypto/sha256
crypto/sha512
dirname
dup
dup2
errno
fclose
fcntl
fdopen
fflush
filename
flock
fnmatch-gnu
fopen
freopen
fstat
fsync
ftruncate
futimens
getaddrinfo
getpass
getsockname
gettext-h
gettime
gitlog-to-changelog
glob
iconv
inet_pton
inline
inttypes
ioctl
isatty
lib-symbol-visibility
limits-h
link
listen
lock
maintainer-makefile
malloc-posix
memchr
mkdir
mkstemp
msvc-nothrow
nanosleep
netdb
netinet_in
nl_langinfo
open
opendir
pclose
pipe-posix
progname
popen
poll
posix_spawn
pwrite
qsort_r
random_r
read
readdir
realloc-posix
recv
recvfrom
regex
rename
safe-read
safe-write
select
send
sendto
servent
setlocale
setsockopt
socket
sockets
socklen
spawn-pipe
stdarg
stdbool
stddef
stdint
stat
strcase
strchrnul
strdup-posix
strerror
strndup
strpbrk
strstr
strtoll
sys_file
sys_socket
sys_stat
sys_time
sys_types
sys_uio
thread
time_r
unistd
unlink
update-copyright
warnings
wcwidth
write
xgethostname
"

# Build prerequisites
buildreq="\
autoconf    2.62
automake    1.11.1
autopoint   -
flex        2.5.35
gettext     0.18.2
git         1.4.4
lzip        -
makeinfo    -
pkg-config  -
tar         -
"

clone_wiki() {
	echo "Wget2 Wiki Cloning in progress..."
	git submodule update --init -- wiki
	wiki_status=$?
	if [ $wiki_status -eq 0 ]
	then
		echo "\e[1;32mWiki pages cloned\e[0m"
	else
		echo "\e[1;31mUnable to clone wiki but no issues you can continue\e[0m"
	fi
}

bootstrap_epilogue() {
	rm -f tests/.gitignore
	rm -f tests/_Noreturn.h \
		tests/arg-nonnull.h \
		tests/c++defs.h \
		tests/dummy.c \
		tests/unused-parameter.h \
		tests/warn-on-use.h
}

bootstrap_post_import_hook ()
{
  # ./bootstrap calls 'autopoint --force' which will overwrite
  #   po/Makevars.template. So here we add what we need for a VPATH
  #   build. ./bootstrap will create po/Makevars from po/Makevars.template
  #   after our change.
  echo 'PACKAGE_GNU = yes' >> po/Makevars.template

  clone_wiki
}
